Library Version 12.1.6.0

DB->get_blob_dir()
Prev | Chapter 13. Binary Large Objects | Next

## DB->get_blob_dir()

    #include <db.h>

    int
    DB->get_blob_dir(DB *dbenv, const char **dirp);

The `DB->get_blob_dir()` method returns the directory location where blob data is stored. The default location can be set using DB->set_blob_dir(). Use this method only if the database was not opened in an environment. If the database was opened within an encompassing environment, use DB_ENV->get_blob_dir() instead.

The `DB->get_blob_dir()` method always returns 0 to indicate success.

### Parameters

#### dirp

The dirp parameter references memory into which is copied the path to the BLOB data directory.

### Class

DB_ENV

### See Also

BLOBs and Related Methods

Prev | Up | Next
Chapter 13. Binary Large Objects | Home | DB->get_blob_threshold()